Subject: bug#48446: closed (Re: bug#48446: 28.0.50; Native compile failure during bootstrap)

From: [email-masked] (GNU bug Tracking System)
Date: Sun, 16 May 2021 09:02:02 +0000

Your bug report

#48446: 28.0.50; Native compile failure during bootstrap

which was filed against the emacs package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
48446: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=48446
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#48446: 28.0.50; Native compile failure during bootstrap
From: Eli Zaretskii <[email-masked]>
To: Andrea Corallo <[email-masked]>
Cc: [email-masked], [email-masked], [email-masked]
Date: Sun, 16 May 2021 12:01:07 +0300
List-Id: <debbugs-submit.debbugs.gnu.org>

> From: Andrea Corallo <[email-masked]>
> Cc: [email-masked], [email-masked], [email-masked]
> Date: Sun, 16 May 2021 08:00:42 +0000
> 
> > I think I know the answer: with natively-compiled Lisp, we can only
> > call Lisp from init functions registered with
> > pdumper_do_now_and_after_late_load, because the *.eln files are not
> > loaded when functions registered with pdumper_do_now_and_after_load
> > are run.  Andrea, is that conclusion correct?
> 
> AFAIR that is spot on, I've introduced the mechanism with 4fba79feee.

Thanks, I'm therefore closing this bug report.

Subject: 28.0.50; Native compile failure during bootstrap
From: Michael Welsh Duggan <[email-masked]>
To: [email-masked]
Date: Sat, 15 May 2021 12:40:39 -0400
List-Id: <debbugs-submit.debbugs.gnu.org>

I'm attempting to build the native compile using NATIVE_FULL_AOT=1 from
the master branch  from scratch.  I'm building from repository revision
46e4704e2abca4d264a43965f92eab7608211ee6.

During the final elisp compilation phase the process segfaults.

I've attached my config.log and the make output.  I'm using libgccjit
version 10.2.1-6 from Debian unstable.

-- 
Michael Welsh Duggan
([email-masked])